admin owner all features in the features permissions) change, including object/tangible delete.objectName tags objectType description.tangibleName distinction.| Parameter Name | Required | Type | Explain |
|---|---|---|---|
| appName | yes | string | Service name for the app side. |
| objectType | no | int | Watch by object type to receive notifications when new objects of this type are created. When objectType is specified, objectId and tangibleId should be empty. At least one of objectId, tangibleId, or objectType must be provided. If objectId or tangibleId is passed, objectType will be ignored. |
| objectId | no | string | The ID of object. At least one parameter, objectId or tangibleId or objectType, must be provided. |
| tangibleId | no | string | The ID of tangible. At least one parameter, objectId or tangibleId or objectType, must be provided. |
| features | no | array | Featrues/attributes name; if not provided, all permissions and attributes will be monitored. It is the same as the features/attributes field of the object. Support all features in the features permissions. eg. takelive rec objectName tags objectType description |
| callbackUrl | no | string | Callback notification URL. |
| requestHeader | no | string | Request headers (key1=value1, key2=value2) to be returned during the callback. |
| user | yes | string | The name of the user . |
| description | no | string | Description of how the object is being used. |
| Parameter Name | Required | Type | Explain |
|---|---|---|---|
| errorCode | yes | string | Error code. |
| errorInfo | yes | string | Error message. |
mutation {
watch(
input: {
objectId: "",
tangibleId: "",
objectType: 1,
appName: "pp",
user: "testuser1",
callbackUrl: "http://test.tvunetworks.com/callbak",
requestHeader: "userid=i121fsdzvsdf4212331",
description:"test watch"
}) {
errorCode
errorInfo
}
}Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data 'mutation{
watch(input:
{
objectId: "111",
tangibleId: "",
appName: "pp",
user: "11111",
callbackUrl: "",
requestHeader: "",
description:""
}){
errorCode
errorInfo
}
}'{
"data": {
"watch": {
"errorCode": "0x0",
"errorInfo": "Succ"
}
}
}